/**
 * 时间处理工具包
 *
 * @author terrfly
 * @site https://www.jeepay.vip
 * @date 2021/6/2 16:04
 */

import dayjs from 'dayjs'

const model = {

    // 【日的范围】获取到查询参数的值 (转换为毫秒值 格式为： 0000_11111)
    // 参数值为： 2022-01-01
    getDayRangeQueryString: (dayStr) => {
        return dayjs(dayStr + ' 00:00:00').valueOf() + '_' + dayjs(dayStr + ' 23:59:59').valueOf()
    },

     // 【月的范围】 获取到查询参数的值 (转换为毫秒值 格式为： 0000_11111)
     // 参数值为： 2022-01
    getMonthRangeQueryString: (monthStr) => {
        return dayjs(monthStr).startOf('month').valueOf() + '_' + dayjs(monthStr).endOf('month').valueOf()
    },

     // 【年的范围】 获取到查询参数的值 (转换为毫秒值 格式为： 0000_11111)
     // 参数值为： 2022
    getYearRangeQueryString: (yearStr) => {
        return dayjs(yearStr).startOf('year').valueOf() + '_' + dayjs(yearStr).endOf('year').valueOf()
    },

    // 获取自定义时间
    getCustomDateTime: (str) => {
        let strArr = str.split('_')
        return dayjs(strArr[1]).valueOf() + '_' + dayjs(strArr[2]).valueOf()
    },

    // 解析为时间查找组件要的格式
    parseQueryStringByRange(str){
        let strArr = str.split('_')
        return 'customDateTime_' + dayjs(strArr[0] * 1).format('YYYY-MM-DD HH:mm:ss') + '_' + dayjs(strArr[1] * 1).format('YYYY-MM-DD HH:mm:ss')
    },

     // 格式化为日期格式
     formatDate(date) {
        if(!date) {
            return ''
        }
        return dayjs(date).format('YYYY-MM-DD')
    }
    
}


export default model

